Skip to main content
GET
/
community
/
stats
/
overview
Get community stats overview
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/analytics/community/stats/overview
import requests

url = "https://{subdomain}.nudj.cx/api/v2/analytics/community/stats/overview"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://{subdomain}.nudj.cx/api/v2/analytics/community/stats/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalUsers": 123,
  "activeUsers": 123,
  "totalActionsPerformed": 123,
  "totalChallengesCompleted": 123,
  "totalChallengesStarted": 123,
  "challengeCompletionRate": 123,
  "totalRewardsFromAchievements": 123,
  "totalAchievementsEarned": 123
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Query Parameters

communityId
string
startDate
string<date-time>
endDate
string<date-time>

Response

Successful response

totalUsers
number
required
activeUsers
number
required
totalActionsPerformed
number
required
totalChallengesCompleted
number
required
totalChallengesStarted
number
required
challengeCompletionRate
number
required
totalRewardsFromAchievements
number
required
totalAchievementsEarned
number
required